import titlePng from '@/assets/images/SecurityServiceOverview/title.png';
import Modal from '@/components/HncyModal';
import { Flex } from 'antd';
import BaseInfo from './components/BaseInfo';
import styles from './index.less';
import RegionSelect from './RegionSelect';
import SecuritySituation from './SecuritySituation';
/**
 * @description 安全服务一张图
 */

const SecurityServiceOverview = () => {
  /** 标题渲染 */
  const titleRender = () => {
    return (
      <Flex align="center" className={styles.modalTitle}>
        <p className={styles.title}>桥梁上部结构严重病害</p>
        <span className={styles.tag}>重大风险</span>
        <span className={styles.type}>城市桥梁设施-新都区东风渠跨线桥</span>
      </Flex>
    );
  };
  return (
    <div className={styles.container}>
      <img src={titlePng} className={styles.title} alt=""></img>
      <div className={styles.content}>
        <RegionSelect />
        <SecuritySituation />
      </div>

      {/* 事件详情 */}
      <Modal
        open={false}
        titleRender={titleRender}
        onCancel={() => {}}
        width={1144}
        height={740}
      >
        <BaseInfo />
      </Modal>
    </div>
  );
};

export default SecurityServiceOverview;
